Upravljavci obvestil
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Podrobnosti | Opis |
|---|---|---|
| search | Neobvezno Niz | Iskalni niz. |
| search_by | Neobvezno Niz | Po katerem področju iščete? Dovoljene vrednosti so: name. |
| is_enabled | Neobvezno Boolean | |
| type | Neobvezno Niz | Po katerem področju iščete? Dovoljene vrednosti so: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Neobvezno Niz | Dovoljene vrednosti: datetime, last_datetime |
| datetime_start | Neobvezno Niz | Filtrirajte rezultate od tega datuma in časa naprej. Format Y-m-d H:i:s. |
| datetime_end | Neobvezno Niz | Filtrirajte rezultate do tega datuma in časa. Format Y-m-d H:i:s. |
| order_by | Neobvezno Niz | Po katerem polju naj se razvrstijo rezultati. Dovoljene vrednosti so: notification_handler_id, datetime, last_datetime, name. |
| order_type | Neobvezno Niz | Razvrščanje rezultatov. Dovoljene vrednosti so: ASC za naraščajoče razvrščanje in DESC za padajoče razvrščanje. |
| search | Neobvezno Niz | Iskalni niz. |
| search_by | Neobvezno Niz | Po katerem področju iščete? Dovoljene vrednosti so: name. |
| is_enabled | Neobvezno Boolean | |
| type | Neobvezno Niz | Po katerem področju iščete? Dovoljene vrednosti so: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Neobvezno Niz | Dovoljene vrednosti: datetime, last_datetime |
| datetime_start | Neobvezno Niz | Filtrirajte rezultate od tega datuma in časa naprej. Format Y-m-d H:i:s. |
| datetime_end | Neobvezno Niz | Filtrirajte rezultate do tega datuma in časa. Format Y-m-d H:i:s. |
| order_by | Neobvezno Niz | Po katerem polju naj se razvrstijo rezultati. Dovoljene vrednosti so: notification_handler_id, datetime, last_datetime, name. |
| order_type | Neobvezno Niz | Razvrščanje rezultatov. Dovoljene vrednosti so: ASC za naraščajoče razvrščanje in DESC za padajoče razvrščanje. |
| page | Neobvezno Celo število | Številka strani, iz katere želite rezultate. Privzeto je 1. |
| results_per_page | Neobvezno Celo število | Koliko rezultatov želite na stran. Dovoljene vrednosti so: 10, 25, 50, 100, 250, 500, 1000. Privzeto je 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:09",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:09",
}
}
POST https://tistos.com/api/notification-handlers
| Parametri | Podrobnosti | Opis |
|---|---|---|
| name | Obvezno Niz | - |
| type | Obvezno Niz | Dovoljene vrednosti: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Neobvezno Niz | Na voljo, ko: type = email E-pošta | |
| webhook | Neobvezno Niz | Na voljo, ko: type = webhook URL webhook |
| slack | Neobvezno Niz | Na voljo, ko: type = slack Slack webhook URL |
| discord | Neobvezno Niz | Na voljo, ko: type = discord Discord webhook URL |
| telegram | Neobvezno Niz | Na voljo, ko: type = telegram Telegram API žeton |
| telegram_chat_id | Neobvezno Niz | Na voljo, ko: type = telegram ID klepeta Telegram |
| microsoft_teams | Neobvezno Niz | Na voljo, ko: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Neobvezno Niz | Na voljo, ko: type = google_chat URL webhook Google Chat |
| x_consumer_key | Neobvezno Niz | Na voljo, ko: type = x Telegram API žeton |
| x_consumer_secret | Neobvezno Niz | Na voljo, ko: type = x Telegram API žeton |
| x_access_token | Neobvezno Niz | Na voljo, ko: type = x Telegram API žeton |
| x_access_token_secret | Neobvezno Niz | Na voljo, ko: type = x Telegram API žeton |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Parametri | Podrobnosti | Opis |
|---|---|---|
| name | Neobvezno Niz | - |
| type | Neobvezno Niz | Dovoljene vrednosti: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Neobvezno Niz | Na voljo, ko: type = email E-pošta | |
| webhook | Neobvezno Niz | Na voljo, ko: type = webhook URL webhook |
| slack | Neobvezno Niz | Na voljo, ko: type = slack Slack webhook URL |
| discord | Neobvezno Niz | Na voljo, ko: type = discord Discord webhook URL |
| telegram | Neobvezno Niz | Na voljo, ko: type = telegram Telegram API žeton |
| telegram_chat_id | Neobvezno Niz | Na voljo, ko: type = telegram ID klepeta Telegram |
| microsoft_teams | Neobvezno Niz | Na voljo, ko: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Neobvezno Niz | Na voljo, ko: type = google_chat URL webhook Google Chat |
| x_consumer_key | Neobvezno Niz | Na voljo, ko: type = x Telegram API žeton |
| x_consumer_secret | Neobvezno Niz | Na voljo, ko: type = x Telegram API žeton |
| x_access_token | Neobvezno Niz | Na voljo, ko: type = x Telegram API žeton |
| x_access_token_secret | Neobvezno Niz | Na voljo, ko: type = x Telegram API žeton |
| is_enabled | Neobvezno Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \